%
% Notice that this is a file produces a brute-force bifurcation diagram 
% and thus expect it to take a long time before it is finished.
% You can consider to lower the tolerances.
%

%ODE solver
solver = 'ode45';

%ODE-solver options
%Type 'help odeset' in the Matlab window for more details
opts = odeset('RelTol',1e-10,'AbsTol',1e-10);%,'MaxStep',0.01);

% Name of the file with the two vectorfields
vfields = 'vectorfields';

% Name of the file with the two Jacobianss
jacobians = 'jacobians';

% Name of the file with the two Jacobianss
pfunction = 'pfunction';

% Filippov parameter
C = 1;

% Parameters
params = [.4,.01];

% Initial condition
y0 = [-.00008009639417,0,.9]; % point III

% Integration time
T = 2*pi/params(2)*.1;
tspan = [0,T];

pv = 0.01:.01:8;
lp = length(pv);

for k = 1:lp

    params(2) = 1/pv(k);

    T = 2*pi/params(2)*100;
    tspan = [0,T];

    % Output is the time, states and events as in Matlab's standard output
    [t,y,te,ye,ie,se] = filippov(vfields,jacobians,pfunction,solver,tspan,y0,params,C,opts);

    y0 = y(end,:);

    ind  = find(ie == 4);
    yend = ye(ind(end),:);

    ind2  = find(sqrt((yend(1) - ye(ind(1:end-1),1)).^2+ (yend(2)- ye(ind(1:end-1),2)).^2)  < 0.000001);

    figure(1111),hold on
    if isempty(ind2)
        nn = min(length(ind),100)-1;
        figure(1110),hold on
        plot(1/params(2),ye(ind(end-nn,end),1),'.','MarkerSize',2)
        figure(1111),hold on
        plot(1/params(2),ye(ind(end-nn,end),2),'.','MarkerSize',2)
    else
        figure(1110),hold on
        plot(1/params(2),ye(ind(ind2(end):end),1),'.','MarkerSize',2)
        figure(1111),hold on
        plot(1/params(2),ye(ind(ind2(end):end),2),'.','MarkerSize',2)    
    end

    if mod(k-1,10) == 0
        figure(1112),hold on
        ind3 = find(t > te(ind(end-1)));
        plot(y(ind3,3),y(ind3,2),'b')

        figure(1113),hold on
        ind3 = find(t > te(ind(end-1)));
        plot(y(ind3,3),y(ind3,1),'r')
    end
    drawnow

    figure(33),hold on
    plot(t,y(:,1),'r',t,y(:,2),'b')
end