close all
% ODE solver
solver = 'ode45';

%ODE-solver options
opts = odeset('RelTol',1e-10,'AbsTol',1e-10,'MaxStep',0.1);

% Name of the file with the two vectorfields
vfields = 'vectorfields';

% Name of the file with the two Jacobianss
jacobians = 'jacobians';

% Name of the file with the two Jacobianss
pfunction = '';

% Filippov parameter
C = 1;

% Parameters
z = 0.05;
w = 25;
s = -1;
l=1;
params = [z,w,s,l];

% Initial conditions of the states
y0 = [.05,-.01,.1];

% Actual Integration time
T = 100;
tspan = [0,T];

% Output is the time, states and events as in Matlab's standard output
[t,y,te,ye,ie,se] = filippov(vfields,jacobians,pfunction,solver,tspan,y0,params,C,opts);

figure(101),hold on
plot3(y(:,2),y(:,3),y(:,1),'r-','MarkerSize',1)
xlabel('y_2'),ylabel('y_3'),zlabel('y_1')
plot3([-2 -2],[-4 4],[0 0],'k')
plot3([-2 2],[-4 -4],[0 0],'k')
plot3([2 2],[-4 4],[0 0],'k')
plot3([-2 2],[4 4],[0 0],'k')
view(3),hold off,box off

figure(102)
plot(y(:,2),y(:,1),'b-','MarkerSize',1)
xlabel('y_2'),ylabel('y_1')
box on

figure(103)
plot(t,y(:,1),'k','MarkerSize',1)
xlabel('t'),ylabel('y_1')
box on
